> For the complete documentation index, see [llms.txt](https://docs.layeronecloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.layeronecloud.com/platform/reference/management-commands.md).

# Management commands

```
# Setup and release
manage.py migrate
manage.py seed_initial_site
manage.py deploy_release
manage.py deployment_check [--strict]
manage.py collectstatic --noinput
manage.py import_public_website

# Development accounts (refuse to run unless DEBUG=True)
manage.py create_debug_accounts
manage.py create_debug_admin

# Billing
manage.py run_billing_maintenance [--live]
manage.py billing_launch_check [--strict]
manage.py reconcile_suspension_state [--suspended-only] [--check|--live]
manage.py revoke_paypal_payment_methods --apply
manage.py retire_credit_purchase_subscriptions [--apply]
manage.py recover_stripe_card_setups [--apply] [--from-stripe] [--account N] [--email X] [--days N]

# Provisioning
manage.py run_provisioning_jobs [--live]

# Monitoring
manage.py run_due_monitors --group group-1 [--loop]
manage.py backfill_monitor_outages [--dry-run] [--monitor <id>]

# Web hosting
manage.py inspect_mail_setup <domain>

# Quality gates
manage.py test [--parallel 1] [--fresh-db] [--pdb]
manage.py makemigrations --check --dry-run
scripts/smoke_all_pages.py
scripts/audit_admin_client_links.py
scripts/build_css.sh [--watch|--marketing-only]
scripts/build_webhosting_agent.py
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.layeronecloud.com/platform/reference/management-commands.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
